songFormatAndSize = "a5"
songMargin = 5
songInfoFontSize = 0
songInfoLineWidthFraction = 0.9
songTitleSize = 6
songTitleFont = "Liberation Sans"
songChordFont = "Liberation Sans"
songLyricFont = "Liberation Sans"
songChordFontSeries = #'bold
songTextChordAlignment = #'left
songScoreChordFontSize = 2
songTextChordFontSize = \songScoreChordFontSize
songTextChordDistance = 2.8
songTextLineHeigth = 5.8
songTocColumns = 3
globalSize = 15
lyricSize = 1.6
stanzaFormat = "~a."
romanStanzaFormat = "~@r."
refString = "Ref.:"
refStringWithNumbers = "Ref. ~a:"
% hübsche Wiederholungszeichen für den Liedtext
repStart = "𝄆"
repStop = "𝄇"

\paper {
  cueMarkup = \markup {
    \italic
      #(make-on-the-fly-markup (lambda (layout props m)
        (interpret-markup layout props 
          (string-join (map (lambda (n) (format #f "~@r." n)) (chain-assoc-get 'cues props)) ", ")))
        (make-null-markup))
  }
}

defaultChordPrintings = {
  <c g>-\markup { \super "5" }
  %% Dur
  <c e g a>-\markup { \super "6" } %Standardverhalten
  <c e a >-\markup { \super "6(no5)" }
  <c e g a d'>-\markup { \super "6/9" }
  <c e g b d'>-\markup { \super "9" } %Standardverhalten
  <c e g b d' f'>-\markup { \super "11" } %Standardverhalten
  <c e g b d' a'>-\markup { \super "13" }
  %add chords
  <c e g d'>-\markup { \super "add9" }
  <c e g f'>-\markup { \super "add11" }
  <c e g a'>-\markup { \super "add13" }
  %major chords
  <c e g h d'>-\markup { \super "maj9" }
  %% Moll
  <c es g a>-\markup { \super "6" } %Standardverhalten
  <c es a >-\markup { \super "6(no5)" }
  <c es g a d'>-\markup { \super "6/9" }
  <c es g b d'>-\markup { \super "9" } %Standardverhalten
  <c es g b d' f'>-\markup { \super "11" } %Standardverhalten
  <c es g b d' a'>-\markup { \super "13" }
  %add chords
  <c es g d'>-\markup { \super "add9" }
  <c es g f'>-\markup { \super "add11" }
  <c es g a'>-\markup { \super "add13" }
  %major chords
  <c es g h d'>-\markup { \super "maj9" }
}
